Loading...
Searching...
No Matches
nc4type.c File Reference
`#include "nc4internal.h"`
`#include "nc4dispatch.h"`
`#include <stddef.h>`
Include dependency graph for nc4type.c:

Go to the source code of this file.

## Functions

int | nc4_get_typeclass (const NC_FILE_INFO_T *h5, nc_type xtype, int *type_class)
int | NC4_inq_compound_field (int ncid, nc_type typeid1, int fieldid, char *name, size_t *offsetp, nc_type *field_typeidp, int *ndimsp, int *dim_sizesp)
int | NC4_inq_compound_fieldindex (int ncid, nc_type typeid1, const char *name, int *fieldidp)
int | NC4_inq_enum_ident (int ncid, nc_type xtype, long long value, char *identifier)
int | NC4_inq_enum_member (int ncid, nc_type typeid1, int idx, char *identifier, void *value)
int | NC4_inq_type (int ncid, nc_type typeid1, char *name, size_t *size)
int | NC4_inq_type_fixed_size (int ncid, nc_type xtype, int *fixedsizep)
EXTERNL int | NC4_inq_typeid (int ncid, const char *name, nc_type *typeidp)
int | NC4_inq_typeids (int ncid, int *ntypes, int *typeids)
int | NC4_inq_user_type (int ncid, nc_type typeid1, char *name, size_t *size, nc_type *base_nc_typep, size_t *nfieldsp, int *classp)
int | NC4_recheck_varsize (NC_TYPE_INFO_T *parenttype, nc_type subtype)
| For types with one or more subtypes (e.g.
int | NC4_set_varsize (NC_TYPE_INFO_T *typ)
| When creating a type, mark it as variable-sized if known for sure.
int | NC4_var_varsized (NC_VAR_INFO_T *var)
| Test if a variable's type is fixed sized or not.

## Function Documentation

## nc4_get_typeclass()

int nc4_get_typeclass | ( | const NC_FILE_INFO_T * | h5,
|  | nc_type | xtype,
|  | int * | type_class )

Definition at line 568 of file nc4type.c.

## NC4_inq_compound_field()

int NC4_inq_compound_field | ( | int | ncid,
|  | nc_type | typeid1,
|  | int | fieldid,
|  | char * | name,
|  | size_t * | offsetp,
|  | nc_type * | field_typeidp,
|  | int * | ndimsp,
|  | int * | dim_sizesp )

Definition at line 214 of file nc4type.c.

## NC4_inq_compound_fieldindex()

int NC4_inq_compound_fieldindex | ( | int | ncid,
|  | nc_type | typeid1,
|  | const char * | name,
|  | int * | fieldidp )

Definition at line 265 of file nc4type.c.

## NC4_inq_enum_ident()

int NC4_inq_enum_ident | ( | int | ncid,
|  | nc_type | xtype,
|  | long long | value,
|  | char * | identifier )

Definition at line 328 of file nc4type.c.

## NC4_inq_enum_member()

int NC4_inq_enum_member | ( | int | ncid,
|  | nc_type | typeid1,
|  | int | idx,
|  | char * | identifier,
|  | void * | value )

Definition at line 422 of file nc4type.c.

## NC4_inq_type()

int NC4_inq_type | ( | int | ncid,
|  | nc_type | typeid1,
|  | char * | name,
|  | size_t * | size )

Definition at line 80 of file nc4type.c.

## NC4_inq_type_fixed_size()

int NC4_inq_type_fixed_size | ( | int | ncid,
|  | nc_type | xtype,
|  | int * | fixedsizep )

Definition at line 639 of file nc4type.c.

## NC4_inq_typeid()

EXTERNL int NC4_inq_typeid | ( | int | ncid,
|  | const char * | name,
|  | nc_type * | typeidp )

Definition at line 472 of file nc4type.c.

## NC4_inq_typeids()

int NC4_inq_typeids | ( | int | ncid,
|  | int * | ntypes,
|  | int * | typeids )

Definition at line 32 of file nc4type.c.

## NC4_inq_user_type()

int NC4_inq_user_type | ( | int | ncid,
|  | nc_type | typeid1,
|  | char * | name,
|  | size_t * | size,
|  | nc_type * | base_nc_typep,
|  | size_t * | nfieldsp,
|  | int * | classp )

Definition at line 135 of file nc4type.c.

## NC4_recheck_varsize()

int NC4_recheck_varsize | ( | NC_TYPE_INFO_T * | parenttype,
|  | nc_type | subtype )

For types with one or more subtypes (e.g.

basetype or fieldtype), determine the varsizedness of the type based on the basetype. The idea is to inform the code of the fact that parenttype has addedtype "inserted" into it.

Parameters

  parenttype |
  subtype |

Definition at line 672 of file nc4type.c.

## NC4_set_varsize()

int NC4_set_varsize | ( | NC_TYPE_INFO_T * | typ | ) |

When creating a type, mark it as variable-sized if known for sure.

Parameters

  typ |

Definition at line 698 of file nc4type.c.

## NC4_var_varsized()

int NC4_var_varsized | ( | NC_VAR_INFO_T * | var | ) |

Test if a variable's type is fixed sized or not.

Parameters

  var | - to test

Returns
  0 if fixed size, 1 otherwise.

Definition at line 718 of file nc4type.c.